summaryrefslogtreecommitdiffstats
path: root/development/dotnet-runtime
diff options
context:
space:
mode:
author Reza Talebi <reza.talebi.73@outlook.com>2019-10-05 06:32:47 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2019-10-05 06:32:47 +0700
commit3c19d3d2b9616f769ddf9235a84e29adda3082e7 (patch)
treedd44ab486d3e4b765626ff00a684819b377057ee /development/dotnet-runtime
parent18bd7e9ef63a61332f4838b71783a79f042d5d67 (diff)
downloadslackbuilds-3c19d3d2b9616f769ddf9235a84e29adda3082e7.tar.gz
slackbuilds-3c19d3d2b9616f769ddf9235a84e29adda3082e7.tar.xz
development/dotnet-runtime: Added (Runtime for .NET Core apps).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development/dotnet-runtime')
-rw-r--r--development/dotnet-runtime/README7
-rw-r--r--development/dotnet-runtime/doinst.sh1
-rw-r--r--development/dotnet-runtime/dotnet-runtime.SlackBuild75
-rw-r--r--development/dotnet-runtime/dotnet-runtime.info10
-rw-r--r--development/dotnet-runtime/slack-desc19
5 files changed, 112 insertions, 0 deletions
diff --git a/development/dotnet-runtime/README b/development/dotnet-runtime/README
new file mode 100644
index 0000000000..867bb5c20e
--- /dev/null
+++ b/development/dotnet-runtime/README
@@ -0,0 +1,7 @@
+.NET Core is an open-source, general-purpose development platform
+maintained by Microsoft and the .NET community on GitHub.
+It's cross-platform (supporting Windows, macOS, and Linux)
+and can be used to build device, cloud, and IoT applications.
+
+This package contains everything you need to run a .NET application.
+If you want to build apps, install .NET Core SDK (dotnet-sdk), which contais this runtime too.
diff --git a/development/dotnet-runtime/doinst.sh b/development/dotnet-runtime/doinst.sh
new file mode 100644
index 0000000000..ec1d7e5165
--- /dev/null
+++ b/development/dotnet-runtime/doinst.sh
@@ -0,0 +1 @@
+ln -s /usr/share/dotnet/dotnet /usr/bin/dotnet
diff --git a/development/dotnet-runtime/dotnet-runtime.SlackBuild b/development/dotnet-runtime/dotnet-runtime.SlackBuild
new file mode 100644
index 0000000000..cce3dcdac7
--- /dev/null
+++ b/development/dotnet-runtime/dotnet-runtime.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+#
+# Slackware build script for dotnet-runtime.
+#
+# Copyright 2019 Reza Talebi, Shahin Shahr, Iran.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=dotnet-runtime
+VERSION=${VERSION:-3.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+
+set -e
+
+if [ "$( uname -m )" = "x86_64" ]; then
+ ARCH="x86_x64"
+ ARCHITECTURE="x64"
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ BITS="amd64"
+else
+ echo "Package for $(uname -m) architecture is not available."
+ exit 1
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-${VERSION}-${BUILD}
+mkdir -p $PRGNAM-${VERSION}-${BUILD}
+cd $PKG
+mkdir -p usr/share/dotnet
+tar -zxf $CWD/$PRGNAM-${VERSION}-linux-${ARCHITECTURE}.tar.gz -C usr/share/dotnet
+chown -R root:root usr/share/dotnet
+
+mkdir -p usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -c n $OUTPUT/$PRGNAM-$VERSION-$BUILD-$ARCH$TAG.${PKGTYPE:-tgz}
diff --git a/development/dotnet-runtime/dotnet-runtime.info b/development/dotnet-runtime/dotnet-runtime.info
new file mode 100644
index 0000000000..f115c4f9b7
--- /dev/null
+++ b/development/dotnet-runtime/dotnet-runtime.info
@@ -0,0 +1,10 @@
+PRGNAM="dotnet-runtime"
+VERSION="3.0.0"
+HOMEPAGE="https://dotnet.microsoft.com/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://download.visualstudio.microsoft.com/download/pr/a5ff9cbb-d558-49d1-9fd2-410cb1c8b095/a940644f4133b81446cb3733a620983a/dotnet-runtime-3.0.0-linux-x64.tar.gz"
+MD5SUM_x86_64="d37dd8d3918d6463abdc7084fa51fe2b"
+REQUIRES=""
+MAINTAINER="Reza Talebi"
+EMAIL="reza.talebi.73@outlook.com"
diff --git a/development/dotnet-runtime/slack-desc b/development/dotnet-runtime/slack-desc
new file mode 100644
index 0000000000..eabecf6429
--- /dev/null
+++ b/development/dotnet-runtime/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+dotnet-runtime: dotnet-runtime (Runtime for .NET Core applications)
+dotnet-runtime:
+dotnet-runtime: .NET Core is an open-source, general-purpose development platform
+dotnet-runtime: maintained by Microsoft and the .NET community on GitHub. It's
+dotnet-runtime: cross-platform (supporting Windows, macOS, and Linux) and can be used
+dotnet-runtime: to build device, cloud, and IoT applications. This package contains
+dotnet-runtime: everything you need to run a .NET application. If you want to build
+dotnet-runtime: apps, install dotnet-sdk, which contains this runtime too.
+dotnet-runtime:
+dotnet-runtime: https://dotnet.microsoft.com/
+dotnet-runtime: